Bug 141559 - up2date traceback when typing 'up2date -u'
up2date traceback when typing 'up2date -u'
Status: CLOSED DUPLICATE of bug 140505
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 19:52 EST by Matthew Booth
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 03:48:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2004-12-01 19:52:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
On my RHEL4 Beta 2 box, I type 'up2date -u'. I get the following output:

<snip>
Testing package set / solving RPM inter-dependencies...
 
Downloading headers to solve dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1245, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1119, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 74, in run
    self.__dryRun()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 159, in
__dryRun
    self.percentCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 553, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 520, in
process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 307, in
__dependencies    msgCallback = self.msgCallback)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 93, in solveDep
    msgCallback = msgCallback)
  File
"/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py", line
44, in solveDep
    msgCallback = self.msgCallback)
TypeError: getSolutions() got an unexpected keyword argument
'progressCallback'
[root@jonah ~]# rpm -q up2date
up2date-4.3.53-1


I get the same traceback when using the graphical version. I have the
exact same problem on another RHEL4 Beta 2 machine.

Version-Release number of selected component (if applicable):
up2date-4.3.53-1

How reproducible:
Always

Steps to Reproduce:
1. Type up2date -u

Additional info:
Comment 1 Jay Turner 2004-12-02 03:48:59 EST

*** This bug has been marked as a duplicate of 140505 ***

Note You need to log in before you can comment on or make changes to this bug.